Skip to navigation

Inquire for the latest status of a transaction using UETR and Message Id.

View as Markdown

Returns the status of a non-payment message initiated through the messages/POST endpoint. See Express Instant Payments Error Codes for a complete list of messages and their explanations.

Authentication

AuthorizationBearer

All CitiConnect APIs use the oAuth2 authentication scheme, which requires a bearer token to authenticate your API call. The Token URL includes the version of authentication used by this API. See the Citi Authentication API reference for information on requesting a token.

Path parameters

uetrstringRequiredformat: "^[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89ab][a-f0-9]{3}-[a-f0-9]{12}$"

Unique end-to-end transaction reference

message_idstringRequired<=35 characters
Unique message id

Query parameters

client_idstringRequired
Your unique identification, same as the identification you use for OAuth token generation, Citi shared with you during your CitiConnect API onboarding

Response headers

request_idstringOptional
Citi's unique identification for your request

Response

OK
message_idstringRead-only<=35 characters
Message Identification
creation_date_timedatetimeRead-only

UTC (ISO 8601 YYYY-MM-DDTHH:MM:SS.sssZ)

  • Date time when a message was created
message_typeenum

Message Type as provided by the customer

  • RFR - Request for Refund (camt.056)
  • RRFR - Response to Request for Refund(camt.029)
  • PCR - Payment Confirmation Request
  • RPCR - Response to Payment Confirmation Request
  • RFP - Request for Payment (pain.013)
  • RRFP - Response to Request for Payment (pain.014)
  • RFICS - Request for Information Compliance
  • RRFICS - Response to Request for Information Compliance
original_paymentobjectOptionalRead-only
messageobjectOptional

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
405
Method Not Allowed Error
500
Internal Server Error